Subject: Re: some questions about MTU, template

From: James Kempf <[email-masked]>
Date: Mon, 3 Jan 2000 08:13:09 -0800 (PST)

>Yes, I know MTU is used for OVERFLOW flag in the message headers.
>What I'd like to know is why we have to care about the overflow.
>MTU size varies with Datalink layer. Please stop me if I'm wrong. 
>Even if the overflow happened, the sending data is fragmented in Network
>layer. And the received fragmented data can be defragmented, so the
>application don't have to care about whether this message is overflowed
>or not.
>Of course, we have to concern the reliability for data transmission.

The reason is because a DA (for example) might get a request by
UDP and would need to sent the reply back in a single UDP packet.
In order to do determine whether to set the overflow flag, it
must know what the maximum packet length is.

What happens at the data link layer, as you indicate, is irrelevent.
Perhaps the term "MTU" is confusing, what it means is "maximum
packet length for UDP."

		jak